Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.ac.nagoyau.is.ss.kishii.suntori.message.information
Class WorldInformation

    java.lang.Object
      jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
          jp.ac.nagoyau.is.ss.kishii.suntori.message.information.WorldInformation

All Implemented Interfaces:
  IMessage

Direct Known Subclasses:
  AmbulanceTeamInformation, BlockadeInformation, BuildingInformation, FireBrigadeInformation, PoliceForceInformation, PositionInformation, TransferInformation, UnpassableInformation, VictimInformation

    public abstract class WorldInformation

extends RCRSCSMessage

The abstract class represent the information that can obtain from the disaster space.

Author:
  takefumi

Field Summary

Fields inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`COMMON_DATA_TYPE, data, messageType`

Constructor Summary
`WorldInformation(BaseMessageType type, int time)` Constructor
`WorldInformation(BaseMessageType type, java.util.List<java.lang.Integer> bitList, int offset, java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)` The method that the library use to convert the message.

Method Summary
`abstract rescuecore2.worldmodel.EntityID` | `getEntityID()`

Methods inherited from class jp.ac.nagoyau.is.ss.kishii.suntori.message.RCRSCSMessage
`equals, getBrokenness, getBuriedness, getCoodinate, getDamage, getData, getData, getDataTypeArray, getEntityIDList, getFieryness, getHP, getID, getMessageBitSize, getMessageType, getRepairCost, getSendTime, getSendTime, getWater, getWaterPower, hashCode, isSendable, setCoorinate, setData, setData`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorldInformation

    public WorldInformation(BaseMessageType type,
                            int time)

  ## Constructor

  Parameters:
    `type` -
    `time` -

### WorldInformation

    public WorldInformation(BaseMessageType type,
                            java.util.List<java.lang.Integer> bitList,
                            int offset,
                            java.util.EnumMap<DataType,java.lang.Integer> bitSizeMap)

  The method that the library use to convert the message.

  Parameters:
    `type` -
    `bitList` -
    `offset` -
    `bitSizeMap` -

Method Detail

### getEntityID

    public abstract rescuecore2.worldmodel.EntityID getEntityID()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD